%define name luckybackup
%define version 0.4.9

Summary:	A powerful, fast and reliable backup & sync tool
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
License:	GPLv3
Url:		http://luckybackup.sourceforge.net/
Group:		Archiving/Backup
Source:		http://prdownloads.sourceforge.net/sourceforge/luckybackup/luckybackup-%{version}.tar.xz
Source1:	luckybackup-gnome-su.desktop
Source2:	%name.png
Source3:	%name-pkexec
Source4:	%name.policy
Patch0:		remove_old_menu_file.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel desktop-file-utils
Requires:	polkit rsync

%description
luckyBackup is an application that backs-up and/or synchronizes any 
directories with the power of rsync.

It is simple to use, fast (transfers over only changes made and not 
all data), safe (keeps your data safe by checking all declared directories 
before proceeding in any data manipulation), reliable and fully customizable.

%prep
%setup -q
%patch0 -p1
chmod a-x manual/index.html

%build
%qmake_qt4

%install
rm -rf %{buildroot}
%makeinstall INSTALL_ROOT=$RPM_BUILD_ROOT install

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/luckybackup-gnome-su.desktop
install -Dpm 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/pixmaps/%name.png

install -Dpm 0755 %SOURCE3 $RPM_BUILD_ROOT%{_bindir}/%name-pkexec

# polkit stuff from FC
install -m 0755 -d $RPM_BUILD_ROOT%{_datadir}/polkit-1/actions/
install -m 0644 -p %SOURCE4 $RPM_BUILD_ROOT%{_datadir}/polkit-1/actions/

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="X-MandrivaLinux-System-Archiving-Backup" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc readme/README readme/changelog
%{_bindir}/%{name}*
%{_datadir}/applications/*
%{_datadir}/polkit-1/actions/%{name}.policy
%{_datadir}/%{name}/translations/*
%{_datadir}/pixmaps/%{name}.*
%{_mandir}/man8/*
%{_defaultdocdir}/%{name}/*


%changelog
* Mon Dec 18 2017 Zen Subz <techars21 at gmail dot com> - 0.4.9-1pclos2017
- Use polkit, custom icon for menufile
- Update to latest release

* Sun Dec 21 2015 bb <bb> 0.4.8-2pclos2104
- rebuild

* Sat Mar 29 2014 bb <bb> 0.4.8-1pclos2014
- update

* Tue Mar 27 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.4.7-1_archie_2012
- 0.4.7
